# Config_param.pm
package Config_param;

################################################################################
# St. Wagner (c) 2004                                                          #
################################################################################
################################################################################
#
# Configuration Parameter
#
###############################################################################

use strict;
require Exporter;
use vars qw(@ISA @EXPORT $VERSION
	    %conf_logfile

	    %conf_page_style
	    %conf_tabellen_style
	    %conf_spaltennamen
	    %result_table

	    %default_values
	    );


@ISA    = qw(Exporter);
@EXPORT = qw(
	     %conf_logfile

	     %conf_page_style
	     %conf_tabellen_style
	     %conf_spaltennamen
	     %result_table

	     %default_values
	     );

$VERSION = 0.3;



################################################################################
#
# change Parameter here
#
################################################################################
%conf_logfile = ('logfile' => './logfile.log');
#		 'interval' => '600',             #second
#		 'max_lines' => '100'
#		 );


%conf_page_style = ('style_sheet' => '/styles.css',
		    'bgcolor' => '#d5dfe5',      #'lightgrey',
		    'background' => '',          # url to backgroundimage
		    'space_left' => '15',
		    'space_right' => '15'
		    );

my @loglevel = ('info', 'message', 'warn');
my @cols = ('time', 'loglevel', 'src', 'dst');

%default_values = ('loglevel' => \@loglevel,
		   'cols' => \@cols,
		   'viewtype' => 'List',
		   'highlight' => 'on',
		   'autoscroll' => 'on',
		   'interval' => '10',
		   'maxlines' => '120',
		   'linenumber' => 'off'
		   );


# Table
%conf_tabellen_style = ('border'              => '0', # html Tabellenrahmenstaerke
			'tr_bgcolor_gerade'   => '#FFFFFF', #'#eff5f7',
			'tr_bgcolor_ungerade' => '#E0E9E4', #'#EEEEEE',
			'header_bgcolor'      => '#EEDDFF',
			'headline_color'      => '#00618a',
			'headline_size'       => '2',
			'cellspacing'         => '1',
			'class'               => '11punkt');

$result_table{'default_length'} = 10;


# don't forget the return value ;-)
1;
